Subject: bug#24228: [platform-testers] new snapshot available: diffutils-3.4.9-d647

From: Dagobert Michelsen <[email-masked]>
Date: Mon, 15 Aug 2016 22:35:50 +0200

Hi Jim

> Am 15.08.2016 um 07:33 schrieb Jim Meyering <[email-masked]>:
> 
> There's really only one change in this delta: the diff3 workaround for
> missing seq.
> It looks like gnulib was updated, too solely because while it's
> included in the preceding snapshot, I did not push that commit until
> after the seq fix.
> 
> diffutils snapshot:
>  http://meyering.net/diff/diffutils-ss.tar.xz      1.4 MB
>  http://meyering.net/diff/diffutils-ss.tar.xz.sig
>  http://meyering.net/diff/diffutils-3.4.9-d647.tar.xz

I get this error on Solaris 10 Sparc with GCC 5.2, same for
Solaris 11 Sparc with GCC 5.2:

>   CC       rawmemchr.o
> rawmemchr.c: In function 'rawmemchr':
> rawmemchr.c:49:18: error: cast increases required alignment of target type [-Werror=cast-align]
>    longword_ptr = (const longword *) char_ptr;
>                   ^
> cc1: all warnings being treated as errors
> gmake[2]: *** [Makefile:1784: rawmemchr.o] Error 255

Compilation on Solaris 11 x86, 32 and 64 bit work fine with
Oracle Studio 12.4.

On Solaris 11 Sparc with Oracle Studio 12.4 it works for 32 bit,
for 64 bit I get an error in the testsuite:

> FAIL: test-timespec
> ===================
> 
> test-timespec.c:138: assertion 'cmp (a, b) == sign (i - j)' failed
> FAIL test-timespec (exit status: 262)

On Solaris 9 Sparc with GCC 4.6 I still get this, probably because the
change you proposed in not in the release tarball. I’d happily test if the
updated tarballs are bootstrapped:

>   CC       error.o
> error.c:112:1: error: function declaration isn't a prototype [-Werror=strict-prototypes]

I would like to set up buildbot, to which repository? The one at Savannah?
Do you have a preferred branch?
  git://git.savannah.gnu.org/diffutils.git

Best regards

  — Dago

--
"You don't become great by trying to be great, you become great by wanting to do something,
and then doing it so hard that you become great in the process." - xkcd #896